package cn.iocoder.yudao.module.smartfactory.dal.mysql.device.cameradevice;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.smartfactory.dal.dataobject.device.cameradevice.CameraDeviceDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.smartfactory.controller.admin.device.cameradevice.vo.*;

/**
 * 设备-监控摄像头 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface CameraDeviceMapper extends BaseMapperX<CameraDeviceDO> {

    default PageResult<CameraDeviceDO> selectPage(CameraDevicePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<CameraDeviceDO>()
                .eqIfPresent(CameraDeviceDO::getFactoryId, reqVO.getFactoryId())
                .likeIfPresent(CameraDeviceDO::getName, reqVO.getName())
                .eqIfPresent(CameraDeviceDO::getCode, reqVO.getCode())
                .eqIfPresent(CameraDeviceDO::getType, reqVO.getType())
                .eqIfPresent(CameraDeviceDO::getStatus, reqVO.getStatus())
                .betweenIfPresent(CameraDeviceDO::getCreateTime, reqVO.getCreateTime())
                .orderByAsc(CameraDeviceDO::getSort));
    }

}